<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_7eacce07e2449116f62c9464" . "710c37f7" => base64_decode("cmVzZ" . "XQ="), "_aed8da0f19091214b78" . "f80351048517c" => base64_decode("c3RybG" . "Vu"), "_c06c961f393742ecfd52b722" . "63ac9470" => base64_decode("aW" . "50" . "dm" . "Fs"), "_e608e5b5c" . "4c34a67ba9" . "7ef84c1e16" . "199" => base64_decode("Jw=" . "="), "_4d707fab93bebb00bbe69e8159697" . "c90" => base64_decode(""), "_6edacb7" . "8bd55c50" . "15af27c8" . "ac1fcd9a" . "f" => base64_decode("bWV0aG9kX2V4aXN0" . "cw=="), "_80453d7bea0ddc48af" . "e3e3c89e0b8aec" => base64_decode("Tm9uLWV4aXN0aW5nIHZhbGlkYXRpb2" . "4gbWV0aG9kICc="), "_19d1237a619f7b35" . "ad6dbebf025f17c8" => base64_decode("c3RyY" . "21w"));
use Psr\Http\Message\ServerRequestInterface;





abstract class FFControlBaseIsolated extends ErrorHandler implements FFControlIsolated
{
    var $was_changed = false;
    public $parameters = array();
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    protected function ExchangeValues(&$data, ServerRequestInterface $request, $name, $default = null, $validate_method = null)
    {
        if (\Claromentis\Core\Http\gpc::getvar($request, $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_7eacce07" . "e2449116f" . "62c946471" . "0c37f7"]) != $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_4d707fab93bebb00b" . "be69e8159697c90"]) {
            $data = null;
        } else {
            $value = \Claromentis\Core\Http\gpc::getvar($request, $name);
        }
        if (!isset($value)) {
            $value = isset($data[$name]) ? $data[$name] : null;
        } else {
            if (isset($data[$name]) && $data[$name] != $value) {
                $this->was_changed = true;
            }
            $data[$name] = $value;
        }
        if ($validate_method) {
            if ($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_6edacb78bd55c5015af27c8ac1fc" . "d9af"]($this, $validate_method)) {
                if (!$this->{$validate_method}($value) && $this->{$validate_method}($default)) {
                    $value = $default;
                }
            } else {
                $this->SetErrMsg($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_80453d7bea0ddc48afe3e3c89e0b" . "8aec"] . $validate_method . $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_e608e5b5c4c34" . "a67ba97ef84c1e" . "16199"]);
            }
        }
        return $value;
    }
    
    
    
    
    
    
    
    
    protected function Validate($value)
    {
        return isset($value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateInteger($value)
    {
        return !!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_aed8da0f19091214b78f803" . "51048517c"]($value) && !$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_19d1237" . "a619f7b3" . "5ad6dbeb" . "f025f17c" . "8"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_c06c961f393" . "742ecfd52b72" . "263ac9470"]($value), $value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateString($value)
    {
        return !!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_aed8da0f19091214b78f80351048" . "517c"]($value);
    }
}